Subject: Re: Software Translation of Lojban (was: Re: [lojban] eurolinux proposing lojban for community patent

From: Invent Yourself <[email-masked]>
Date: Sat, 8 Dec 2001 17:38:33 -0500 (EST)

On a related note, I can imagine a fairly simple program that exposes a
series of dynamic gui components that enable a non-Lojban user to express
themselves in Lojban. It could use dictionary synonym lookups for the main
selbri which pop up controls for the filling of the sumti places, drop
down menus listing all the abstractions available...with an hour's
practice, the le naljboka'e could quickly write grammatical Lojban.

This is something that I am able to design and build (Java Schwing!),
although I am somewhat busy right now.

On Sat, 8 Dec 2001, PILCH Hartmut wrote:

> > > We are not trying to prove that humans can write lojban, but that
> > > a well written lojban text can be auto-translated to something
> > > understandable, like Logician's English/Greek/Finnish etc.
> > >
> > > Since many promises concerning auto-translation have been broken in the
> > > past, it is important to assess this possibility very objectively and
> > > to let people understand that translating from a logical language is
> > > really different from translating from a normal language.
> >
> > I am not sure that anybody would be convinced with a theoretical argument
> > without any software to back it up. I should think we would need to at
> > least have software that creates English from Lojban, with the result
> > being English of a higher quality than what AltaVista Babelfish produces.
> >
> > Every now and then I suggest that this is actually a very important
> > project for the jbocecmu, because it would prove that Lojban is a feasible
> > interlingua with computer translation. But since I don't know anything
> > about comp linguistics, I am not the one to spearhead this; all I can do
> > it wave the pom-poms.
> >
> > Nick Nicholas thinks that the result of computer translation of Lojban to
> > a Natural Language would still require a pass by a human, so it wouldn't
> > save any money compared to what they do now, which is to use software to
> > get a babelfish-quality result and have humans go over it.
>
> It depends on for what a pass by a human is required.
> Is it for correcting errors that mislead even a careful reader ?
> Or only for improving the style to something more idiomatic ?

Good question. I can't answer until the code is written. Take a look at
the English output from jbofi'e/cmafi'e.

> > In my abject ignorance I think we could do better with Lojban.
>
> I would think that at least many of the babelfish errors could be avoided
> and that the exercise would also induce people to write better patent
> descriptions. Low quality of patent descriptions regularly causes a lot
> of trouble.

Aren't we talking about the patents themselves being written in Lojban?

> It could help if we took some typical errors committed by babelfish on
> current patent descriptions and showed that they are based on ambiguity or
> other problems that can be solved by writing the orgiginal in LL.
>
> Btw someone told me he is actually using UNL in production with useful
> results. So something like this should be possible and meaningful.

OK, now what is UNL?

> A whitepaper on this is badly needed, and imho it should be placed
> directly on the pages of LLG. There can no doubt about its conformity
> with the public interest status of LLG. This has nothing to do with
> lobbying, especially if it is written in a serious, non-propagandistic
> way.

Agreed! Unfortunately such a white paper is beyond my capabilities! Can
you write it?

-- 
The tao that can be tar(1)ed
is not the entire Tao.
The path that can be specified
is not the Full Path.